<?php
if (empty($data['api_booking_ref'])) {
	return;
}

$createUrl = [
	'plugin' => 'buzz_waivers',
	'controller' => 'waivers',
	'action' => 'create_waivers',
	$data['reference'],
	$data['api_booking_ref']
];

?>
<?php if (! empty($participants[$data['api_booking_ref']])): ?>
	<?php
	$participantUrl = array(
		'plugin' => 'buzz_waivers',
		'controller' => 'waivers',
		'action' => 'participants',
		$participants[$data['api_booking_ref']]
	);
	if (! empty($kiosk)):
		$participantUrl = '/kiosk/' . $this->Html->url($participantUrl);
		$createUrl = '/kiosk/' . $this->Html->url($createUrl);
	endif;

	$buttonText = __d('buzz_waivers', 'View Participant Details');

	if (empty($data['waivers_signed'])):
		$buttonText = __d('buzz_waivers', 'Sign Waivers');
	endif;
	?>

	<div class="row">
		<div class="col-xs-12 text-right">
			<?=$this->Html->link($buttonText . ' <i class="fa fa-chevron-circle-right"></i>', $participantUrl, array(
				'escape' => false,
				'class' => 'button confirm-btn'
			))?>
		</div>
	</div>
<?php else: ?>
	<?php
	$buttonText = __d('buzz_waivers', 'Sign Waivers');

	?>

	<div class="row">
		<div class="col-xs-12 text-right">
			<?= $this->Html->link($buttonText . ' <i class="fa fa-chevron-circle-right"></i>', $createUrl, array(
				'escape' => false,
				'class' => 'button confirm-btn'
			)) ?>
		</div>
	</div>
<?php endif; ?>
